org.omg.CORBA

## Class UNKNOWN

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.UNKNOWN

All Implemented Interfaces:
  Serializable

    public final class UNKNOWN
    extends SystemException

This exception is raised if an operation implementation throws a non-CORBA exception (such as an exception specific to the implementation's programming language), or if an operation raises a user exception that does not appear in the operation's raises expression. UNKNOWN is also raised if the server returns a system exception that is unknown to the client. (This can happen if the server uses a later version of CORBA than the client and new system exceptions have been added to the later version.)

It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

See the section Minor Code Meanings to see the minor codes for this exception.

See Also:
  documentation on Java IDL exceptions

### Field Summary

### Fields inherited from class org.omg.CORBA.SystemException

`completed, minor`

### Constructor Summary

Constructors
Constructor and Description
`UNKNOWN()` Constructs an `UNKNOWN` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.
`UNKNOWN(int minor, CompletionStatus completed)` Constructs an `UNKNOWN` exception with the specified minor code and completion status.
`UNKNOWN(String s)` Constructs an `UNKNOWN` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.
`UNKNOWN(String s, int minor, CompletionStatus completed)` Constructs an `UNKNOWN` exception with the specified description message, minor code, and completion status.

### Method Summary

### Methods inherited from class org.omg.CORBA.SystemException

`toString`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UNKNOWN

    public UNKNOWN()

Constructs an `UNKNOWN` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.

#### UNKNOWN

    public UNKNOWN(String s)

Constructs an `UNKNOWN` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.

Parameters:
  `s` - the String containing a detail message

#### UNKNOWN

    public UNKNOWN(int minor,
           CompletionStatus completed)

Constructs an `UNKNOWN` exception with the specified minor code and completion status.

Parameters:
  `minor` - the minor code
  `completed` - the completion status

#### UNKNOWN

    public UNKNOWN(String s,
           int minor,
           CompletionStatus completed)

Constructs an `UNKNOWN` exception with the specified description message, minor code, and completion status.

Parameters:
  `s` - the String containing a description message
  `minor` - the minor code
  `completed` - the completion status

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.